## python-xml 0.8.4-10.1maemo1

=== debian/changelog ===
python-xml (0.8.4-10.1maemo1) unstable; urgency=low

  * Disable build of python-xml-doc, xbel and xbel-utils packages.
  * Add Conflicts/Replaces for "python2.5-xml (<< ${binary:Version})".

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Fri,  7 Nov 2008 10:47:50 -0400

python-xml (0.8.4-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478621)
  * Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 22:19:49 +0100

python-xml (0.8.4-10) unstable; urgency=low

  * Split documentation and examples out to a new python-xml-doc package.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Dec 2007 03:56:48 +0100

python-xml (0.8.4-9) unstable; urgency=low

  * debian/watch: fixed. (Closes: #449635)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 08 Nov 2007 14:17:09 +0100

python-xml (0.8.4-8) unstable; urgency=low

  * xmlproc should not fail on elliptical doctype declaration.  Thanks for
    Dominique Hazael-Massieux for the patch.  (Closes: #428839)
  * Do not ship LaTeX source for xml-howto and xml-ref anymore.
    (Closes: #390471)
  * Fix an encoding issue when converting from xbel to netscape by removing
    a mixed conversion of ascii and unicode strings in Folder.dump_netscape.
    (Closes: #409779)
  * Redirect xbel_parse output to stderr.  (Closes: #233619)
  * Add myself to Uploaders.
  * Fix substvar-source-version-is-deprecated lintian warning by using
    ${binary:Version} instead of ${Source-Version}. 

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 18 Jul 2007 14:30:10 +0200

python-xml (0.8.4-7) unstable; urgency=low

  * Merge changes from Ubuntu:
    - Fix PyMem_DEL-->PyObject_DEL. Ubuntu #95649.
    - Build the extension for the python debug interpreter.
    - debian/control: Add ${shlibs:Depends}.
    - Bump debhelper compatibility to v5.

 -- Matthias Klose <doko@debian.org>  Fri,  4 May 2007 07:12:00 +0200

python-xml (0.8.4-6) unstable; urgency=medium

  * Fixes for documentation and examples:
    + Applied patch to demo/dom/generate_xml1.py. (Closes: #399410)
    + Applied patch to demo/xmlproc/catalog.soc. (Closes: #298008)
  * debian/control:
    + move debhelper to build-depends. (Closes: #392630)
    + xbel: recommends xml-core to provide a catalog mapping onto
      the XBEL DTDs. (Closes: #386720)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 18 Dec 2006 20:12:06 +0100

python-xml (0.8.4-5) unstable; urgency=low

  * Convert to Python policy 0.4, using python-central. Closes: #373368.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jun 2006 02:10:44 +0000

python-xml (0.8.4-4) unstable; urgency=low

  * In some conditions and when parsing a utf-8 file, the xmlproc parser
    eports non-well-formedness errors when it shouldn't; applied a 
    single-line patch to fix this wrong behaviour. (Closes: #367638)

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 30 May 2006 22:19:10 +0200

python-xml (0.8.4-3) unstable; urgency=low

  * New maintainer (Debian/Ubuntu Zope Team). (Closes: #354012)
  * Updated debian/watch, thanks Bart Martens! (Closes: #354367)
  * debian/rules: fixed some sed regular expressions.

 -- Fabio Tranchitella <kobold@debian.org>  Fri,  7 Apr 2006 08:36:01 +0000

python-xml (0.8.4-2) unstable; urgency=low

  * Dropped support for python2.2 and python2.1 (Closes: #351157, #159280)
  * Fixed link to xmlproc license in xmlproc documentation (Closes: #296530)

 -- Alexandre Fayolle <afayolle@debian.org>  Mon,  6 Feb 2006 15:17:48 +0100

python-xml (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch file
  * Added support for python2.4
  * Updated maintainer's email

 -- Alexandre Fayolle <afayolle@debian.org>  Tue,  7 Dec 2004 16:38:22 +0100

python-xml (0.8.3-5) unstable; urgency=low

  * Fixed wrong python dependency on xbel-utils. Closes: #210852
  * removed man pages from diff.gz since they are now in doc/man

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Tue, 23 Sep 2003 16:50:28 +0200

python-xml (0.8.3-4) unstable; urgency=low

  * Chmod +x py files in /usr/lib/python2.3/site-packages/_xmlplus/xbel/. Closes: #208388
  
 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Wed,  3 Sep 2003 14:57:20 +0200

python-xml (0.8.3-3) unstable; urgency=low

  * Fixed bug in debian/rules causing files in xbel-utils to be empty. Closes: #208388

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Tue,  2 Sep 2003 09:45:57 +0200

python-xml (0.8.3-2) unstable; urgency=low

  * changed section of xbel and xbel-utils to 'web' (was interpreters)
  * Fixed shebangs in xbel-utils and python version in maintainer scripts.  Closes: #207835
  * Standards-Version updated to 3.6.1
  
 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Mon,  1 Sep 2003 12:02:39 +0200

python-xml (0.8.3-1) unstable; urgency=low

  * New upstream release
  * Fixes broken documentation urls. Closes: #183057
  * Fixes bad 4Suite.mo file. Closes: #202926
  * changed section to "python"
  * updated standards version
  * Changed default python version to 2.3

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Mon, 11 Aug 2003 08:29:14 +0200

python-xml (0.8.2-3) unstable; urgency=low

  * fixed wrong argument order in xml.sax.expatreader. Closes: Bug#183069
  * fixed escaping ampershand characters in xml.xbel.bookmark. Closes: Bug#180468

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Tue, 11 Mar 2003 18:00:32 +0100

python-xml (0.8.2-2) unstable; urgency=low

  * Removed dependency on python2.3-xmlbase which no longer exists. Closes: Bug#180965

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Fri, 14 Feb 2003 11:08:39 +0100

python-xml (0.8.2-1) unstable; urgency=low

  * New upstream release
  * xbel-utils now replaces xbel-utils-0.6

 -- Alexandre Fayolle <alexandre.fayolle@logilab.fr>  Mon, 10 Feb 2003 11:25:05 +0100

python-xml (0.8.1-2) unstable; urgency=low


