=== debian/watch ===
version=3
http://sf.net/pyxml/ PyXML-(.+)\.tar\.gz
